Package name.pachler.nio.file.impl

# Class LinuxPathWatchKey

java.lang.Object
name.pachler.nio.file.WatchKey
name.pachler.nio.file.impl.PathWatchKey
name.pachler.nio.file.impl.LinuxPathWatchKey

public class LinuxPathWatchKey extends PathWatchKey

## Constructor Summary

Constructors
Constructor
Description
`LinuxPathWatchKey(PathWatchService service, Path path, int flags)`

## Method Summary

### Methods inherited from class name.pachler.nio.file.impl.PathWatchKey

`cancel, finalize, getNumQueuedEvents, isValid, pollEvents, reset`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinuxPathWatchKey

public LinuxPathWatchKey(PathWatchService service, Path path, int flags)